Creates a new export template attribute alias.
An export template attribute alias is an alias of an export template attribute. Once created, it can be assigned to an export template attribute as an alias of the field. This endpoint allows the creation of an export template attribute alias.
Authorization
bearerAuth ProductsUp Keycloak JWT bearer token.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Name of the export export field alias. It can be up to 250 characters.
Response Body
application/json
application/json
curl -X POST "https://export-template-api.productsup.com/V1/export-template-attribute-alias" \ -H "Content-Type: application/json" \ -d '{ "name": "My field alias" }'{
"data": {
"id": 199
}
}{
"errors": {
"message": "Request validation has encountered constraint violations.",
"errors": {
"name": [
"This field is missing."
]
}
}
}How is this guide?
Retrieves a list of export template attributes of an export template GET
An export template attribute is a field that belongs to an export template. Once created, the export template attribute will be added to every channel that is created from the export template in the productsup platform. This endpoint lists all export template attributes of an export template, including their V2 analyzer test template assignments.
List all export template attribute aliases GET
An export template attribute alias is an alias of an export template attribute. Once created, it can be assigned to an export template attribute as an alias of the field. This endpoint retrieves a list of all export template attribute aliases.